TagHandler Class Referenceabstract

`#include <taghandler.h>`

Inheritance diagram for TagHandler:
[legend]

## Public Member Functions

virtual | ~TagHandler ()
virtual void | handleTag (Tag *tag)=0

## Detailed Description

A virtual interface which can be reimplemented to receive non-XMPP Core stanzas.

Derived classes can be registered as TagHandlers with the ClientBase. A TagHandler can handle arbitrary elements not defined by RFC 3920, XMPP Core.

It can also be used to handle Tags emitted by Parser.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Definition at line 32 of file taghandler.h.

## Constructor & Destructor Documentation

## ~TagHandler()

virtual ~TagHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 38 of file taghandler.h.

## Member Function Documentation

## handleTag()

virtual void handleTag | ( | Tag * | tag | ) |

pure virtual

This function is called when a registered XML element arrives. As with every handler in gloox, the Tag is going to be deleted after this function returned. If you need a copy afterwards, create it using Tag::clone().

Parameters

  tag | The complete Tag.

Implemented in ClientBase, and ConnectionBOSH.

The documentation for this class was generated from the following file:

- taghandler.h